Subject: emacs-guix: error on by-name package searches
From: Christopher Howard <[email-masked]>
To: Guix Bug Reports <[email-masked]>
Date: Fri, 04 Jun 2021 21:37:51 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi, there is a bug in emacs-guix by-name packages searches which is not
terribly difficult to work around, but is somewhat annoying.

It appears that there was some functionality added to emacs-guix such
that, if cursor is over a word, and I execute M-x guix p n, then the
search field is pre-filled with the word underneath cursor. This is a
great feature. However, if cursor happens to /not/ be over a
word (for example, on an empty line) then instead I get an error:

split-string: Wrong type argument: stringp, nil

This bug has been around for something like a month, but I didn't
report it earlier, thinking that lots of other people would have
immediately noticed it.

Here is my version and system information:

christopher@nightshade ~$ guix show emacs | grep version
version: 27.2
christopher@nightshade ~$ guix show emacs-guix | grep version
version: 0.5.2-4.8ce6d21
christopher@nightshade ~$ guix describe
Generation 7	Jun 04 2021 15:20:58	(current)
  guix 7382aa0
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 7382aa00b82860762bc326dec6b45f8cd2161327
christopher@nightshade ~$ neofetch --stdout
christopher@nightshade 
---------------------- 
OS: Guix System 7382aa00b82860762bc326dec6b45f8cd2161327 x86_64 
Host: GA-880GM-UD2H 
Kernel: 5.12.9-gnu 
Uptime: 5 hours, 18 mins 
Packages: 106 (guix-system), 98 (guix-user) 
Shell: bash 5.0.16 
Resolution: 1920x1200 
DE: GNOME 3.34.5 
Theme: Adwaita [GTK2/3] 
Icons: Adwaita [GTK2/3] 
Terminal: kitty 
CPU: AMD Athlon II X3 455 (3) @ 3.300GHz 
GPU: NVIDIA GeForce 8400 GS Rev. 3 
Memory: 2023MiB / 7957MiB

-- 
Christopher Howard
blog: https://librehacker.com
social: https://gnusocial.club/librehacker